# Class CLN1SectionWritableImage2D

java.lang.Object
com.io7m.calino.vanilla.internal.CLN1SectionWritableAbstract
com.io7m.calino.vanilla.internal.CLN1SectionWritableImage2D

All Implemented Interfaces:
  `CLNSectionWritableImage2DType, CLNSectionWritableStandardType, CLNSectionWritableType, Closeable, AutoCloseable`

public final class CLN1SectionWritableImage2D extends CLN1SectionWritableAbstract implements CLNSectionWritableImage2DType
A writable 2D image section.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CLN1SectionWritableImage2D(com.io7m.jbssio.api.BSSWriterProviderType inWriters, com.io7m.jbssio.api.BSSWriterRandomAccessType inWriter, CLNWriteRequest inRequest, long inIdentifier, CLNOnCloseOperationType<CLNSectionWritableType> inOnClose)`
  A writable 2D image section.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CLWritableMipMaps2DType`
  `createMipMaps(CLNImage2DMipMapDeclarations mipMapCreate)`
  Create a set of mipmaps in the image.

  ### Methods inherited from class CLN1SectionWritableAbstract

  `close, identifier, offsetStart, offsetStartData, request, sectionDataChannel`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface CLNSectionWritableType

  `identifier, sectionDataChannel`

  ### Methods inherited from interface Closeable

  `close`

- ## Constructor Details

  - ### CLN1SectionWritableImage2D

    public CLN1SectionWritableImage2D(com.io7m.jbssio.api.BSSWriterProviderType inWriters, com.io7m.jbssio.api.BSSWriterRandomAccessType inWriter, CLNWriteRequest inRequest, long inIdentifier, CLNOnCloseOperationType<CLNSectionWritableType> inOnClose)
    A writable 2D image section.
    Parameters:
      `inWriters` - A writer provider
      `inWriter` - A writer
      `inRequest` - A write request
      `inIdentifier` - An identifier
      `inOnClose` - A function executed on closing

- ## Method Details

  - ### createMipMaps

    public CLWritableMipMaps2DType createMipMaps(CLNImage2DMipMapDeclarations mipMapCreate) throws IOException
    Description copied from interface: `CLNSectionWritableImage2DType`
    Create a set of mipmaps in the image.
    Specified by:
      `createMipMaps` in interface `CLNSectionWritableImage2DType`
    Parameters:
      `mipMapCreate` - The mipmap descriptions
    Returns:
      An interface used to write mipmap data
    Throws:
      `IOException` - On errors